Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class ReportSet

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.ReportSet

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class ReportSet

extends Object

Represents a set of reports and configuration to be used to generate them.

Java class for ReportSet complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReportSet">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="id" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="configuration" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <any processContents='skip' maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="inherited" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="reports" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="report" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `ReportSet.Configuration` Java class for anonymous complex type.
`static class` | `ReportSet.Reports` Java class for anonymous complex type.

Field Summary
`protected ReportSet.Configuration` | `configuration`
`protected String` | `id`
`protected String` | `inherited`
`protected ReportSet.Reports` | `reports`

Constructor Summary
`ReportSet()`

Method Summary
`ReportSet.Configuration` | `getConfiguration()` Gets the value of the configuration property.
`String` | `getId()` Gets the value of the id property.
`String` | `getInherited()` Gets the value of the inherited property.
`ReportSet.Reports` | `getReports()` Gets the value of the reports property.
`void` | `setConfiguration(ReportSet.Configuration value)` Sets the value of the configuration property.
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setInherited(String value)` Sets the value of the inherited property.
`void` | `setReports(ReportSet.Reports value)` Sets the value of the reports property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String id

### configuration

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected ReportSet.Configuration configuration

### inherited

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String inherited

### reports

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected ReportSet.Reports reports

Constructor Detail

### ReportSet

    public ReportSet()

Method Detail

### getId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

### getConfiguration

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public ReportSet.Configuration getConfiguration()

  Gets the value of the configuration property.

  Returns:
    possible object is `ReportSet.Configuration`

### setConfiguration

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setConfiguration(ReportSet.Configuration value)

  Sets the value of the configuration property.

  Parameters:
    `value` - allowed object is `ReportSet.Configuration`

### getInherited

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getInherited()

  Gets the value of the inherited property.

  Returns:
    possible object is `String`

### setInherited

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setInherited(String value)

  Sets the value of the inherited property.

  Parameters:
    `value` - allowed object is `String`

### getReports

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public ReportSet.Reports getReports()

  Gets the value of the reports property.

  Returns:
    possible object is `ReportSet.Reports`

### setReports

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setReports(ReportSet.Reports value)

  Sets the value of the reports property.

  Parameters:
    `value` - allowed object is `ReportSet.Reports`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.